<?php
ob_start();
$c_host = 'localhost';
$c_login = 'civa';
$c_pass = 'gsd12a';
$c_db = 'civa';
$link = mysql_connect($c_host, $c_login, $c_pass)
  or
die ("Не возможно присоединитса к Базе Данных. Сервер возможно перезагружаетса. Обновите страницу через пару секунд");

mysql_select_db ($c_db)
  or die ("Could not select database");
  mysql_query("SET NAMES 'windows-1251'", $link);
  mysql_set_charset("utf8");

header("Pragma: no-cache");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: private");
header("Cache-Control: max-stale=0");
header("Content-type: text/html; charset=utf8");

  error_reporting(0);
$time = $_SERVER['REQUEST_TIME'];
$date = date('H:i:s',$time);
$dt=date("Y-m-d H:i:s");
$self=$_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'];


function send_mess($l_to,$what,$a,$b)
{
$whom=mysql_fetch_array(mysql_query("SELECT * FROM users WHERE login='$l_to'"));
	if($whom['login'] != "")
	{
$to_whom_id=$whom[id];
$when=date('G:i:s');
$login_send= $a;
$id_send=$b;
  $as=$time+5;
mysql_query("UPDATE users SET msg_send='$as' WHERE id='$id'");
mysql_query("
INSERT INTO `msg` (
`id` ,
`by_whom` ,
`by_whom_id` ,
`to_whom` ,
`to_whom_id` ,
`when` ,
`what` ,
`read`,
`input`,
`output`
)
VALUES (
NULL , '$login_send', '$id_send', '$l_to', '$to_whom_id', '$when', '$what', '0','1','1'
)
");
	}
}


mysql_query("TRUNCATE `band`");
$limit = rand(5,10);
$random_name_sql = mysql_query("SELECT `country` FROM `users` ORDER by RAND() LIMIT ".$limit."");
echo 'ОБРАЗОВАЛОСЬ '.$limit.' бандитских лагерей<hr />';
while($res = mysql_fetch_assoc($random_name_sql))
	{
	$difficult = rand(1,10);
	$money = intval(1000*$difficult);
	$solders = intval($difficult*rand(12,35));
	$horses = intval($difficult*rand(5,25));
	$archers = intval($difficult*rand(2,15));
	echo 'Создан бандитский лагерь '.$res['country'].'<br />Денег у него: '.$money.'<br>Пех: '.$solders.'<br /> Коней: '.$horses.'<br />Луков: '.$archers.'<hr />';
	mysql_query("INSERT INTO `band` SET `title`='бандитский лагерь ".$res['country']."',
										`money`='$money',
										`solders`='$solders',
										`archers`='$archers',
										`last_attack`='0',
										`horses`='$horses';");
	}

$usql=mysql_query("SELECT * FROM users WHERE defeat='0' AND `clan`!='0'");
while($u=mysql_fetch_array($usql))
{
$text='Образовалось '.$limit.' бандитских лагерей. Старые лагеря прекратили своё существование.';
 send_mess($u['login'],$text,'Система','');
}







?>